#include "string.h"
#include "acp_base.h"
#include "cpa_expt.h"
#include "sna/snaglob.h"

extern ACP_tdxBool MMG_g_bResetMemOnAllocation;

unsigned char g_ucMemorySnapshot;
char g_szLevelName[255];
ACP_tdxBool g_bUsesBigFile;

/*
	0 : Load Script files
	1 : load binary data
	2 : Save binary data	
 */

void SNA_fn_vSetLoadType(unsigned char ucType)
{
	g_ucMemorySnapshot=ucType;

	if( ucType == SNA_SAVE_SNAPSHOT )
		MMG_g_bResetMemOnAllocation = TRUE;

}

unsigned char SNA_fn_ucGetLoadType()
{
	return g_ucMemorySnapshot;
}

void SNA_fn_vSetLevelName(char *szLevelName)
{
	strcpy(g_szLevelName,szLevelName);
}

char *SNA_fn_ucGetLevelName()
{
	return g_szLevelName;
}

void SNA_fn_vSetBigFile(ACP_tdxBool _bFigFileUsed)
{
	g_bUsesBigFile = _bFigFileUsed;
}

ACP_tdxBool SNA_fn_bBigFileUsed()
{
	return g_bUsesBigFile;
}

